<?php
Yii::app()->clientScript->registerScript('submit', '
$(document).ready( function() {
   $("#submit_button").click(function() {
      $(this).prop("disabled",true)
         .parents("form").submit();
      });
})
');
?>

<div class="form">

    <?php

    if ($model->isNewRecord) {
        $model->COT_IDVENDEDOR = User::getId();
    }

    if($model->COT_SITUACAO == Contratos::ADENDO) {
        if(strpos($model->COT_DTPRICOBRANCA, '-') !== false) {
            $date = DateTime::createFromFormat('Y-m-d', $model->COT_DTPRICOBRANCA);
            $model->COT_DTPRICOBRANCA = $date->format('d/m/Y');
        }
    }

    $form = $this->beginWidget('GxActiveForm', array(
        'id' => 'contratos-form',
        'enableAjaxValidation' => false,
        'focus' => array($model, 'COT_IDCLIENTE'),
        'htmlOptions' => array('class'=>'col-xs-12 form-cadastro inline-addon')
    ));
    ?>

    <?php echo FaHtml::getFormInfo($form, $model); ?>

    <?php echo $form->hiddenField($model, 'COT_IDCLIENTE', array('type' => "hidden", 'value' => $CLI_IDCLIENTE)); ?>
    
    <?php if($model->COT_SITUACAO == Contratos::ADENDO && $model->podeFazerAnalise()) { ?>
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_DTPRICOBRANCA'); ?>
        <?php $form->widget('ext.Utils.widgets.CrmDatePicker', array('model' => $model, 'attribute' => 'COT_DTPRICOBRANCA')); ?>
        <?php echo $form->error($model, 'COT_DTPRICOBRANCA'); ?>
    </div><!-- row -->
    <?php } ?>

    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_NOME'); ?>
        <?php echo $form->textField($model, 'COT_CLI_NOME', array('maxlength' => 100)); ?>
        <?php echo $form->error($model, 'COT_CLI_NOME'); ?>
    </div><!-- row -->

    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_CNPJCPF'); ?>
        <div class="col-xs-12">
            <?php
                echo $form->textField($model, 'COT_CLI_CNPJCPF', array(
                    'maxlength' => 18,
                    'class' => 'mask-cnpjcpf form-control btn-on-right'
                ));
            ?>
            <span class="input-group-btn">
                <button id="consultaCnpj" class="btn btn-default consulta-cnpj" data-dias="30">
                    Consultar
                </button>
            </span>
        </div>
        <div class="color-red" id="msgConsulta" style="display: none;">
            <p id="retornoConsulta"></p>
            <button class="btn btn-info consulta-cnpj" data-dias="0">
                Consultar Situação Atual
            </button>
        </div>
        <?php echo $form->error($model, 'COT_CLI_CNPJCPF'); ?>
    </div><!-- row -->
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_INSCR_EST'); ?>
        <?php echo $form->textField($model, 'COT_CLI_INSCR_EST', array('maxlength' => 15)); ?>
        <?php echo $form->error($model, 'COT_CLI_INSCR_EST'); ?>
    </div><!-- row -->
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_FONE1'); ?>
        <?php echo $form->textField($model, 'COT_CLI_FONE1', array('maxlength' => 14, 'class' => 'mask_telefone')); ?>
        <?php echo $form->error($model, 'COT_CLI_FONE1'); ?>
    </div><!-- row -->
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_EMAIL'); ?>
        <?php echo $form->textField($model, 'COT_CLI_EMAIL', array('maxlength' => 50, 'filter' => 'email', 'class' => 'mailtolower')); ?>
        <?php echo $form->error($model, 'COT_CLI_EMAIL'); ?>
    </div><!-- row -->
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_IDMOTIVO'); ?>
        <?php echo $form->dropDownList($model, 'COT_CLI_IDMOTIVO', CacheUtil::getComoNosConheceuList(), array('prompt' => 'Selecione')); ?>
        <?php echo $form->error($model, 'COT_CLI_IDMOTIVO'); ?>
    </div><!-- row -->
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_ENDERECO'); ?>
        <?php echo $form->textField($model, 'COT_CLI_ENDERECO', array('maxlength' => 255)); ?>
        <?php echo $form->error($model, 'COT_CLI_ENDERECO'); ?>
    </div><!-- row -->
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_NUMERO'); ?>
        <?php echo $form->textField($model, 'COT_CLI_NUMERO', array('maxlength' => 15)); ?>
        <?php echo $form->error($model, 'COT_CLI_NUMERO'); ?>
    </div><!-- row -->
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_COMPLEMENTO'); ?>
        <?php echo $form->textField($model, 'COT_CLI_COMPLEMENTO', array('maxlength' => 100)); ?>
        <?php echo $form->error($model, 'COT_CLI_COMPLEMENTO'); ?>
    </div><!-- row -->
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_BAIRRO'); ?>
        <?php echo $form->textField($model, 'COT_CLI_BAIRRO', array('maxlength' => 60)); ?>
        <?php echo $form->error($model, 'COT_CLI_BAIRRO'); ?>
    </div><!-- row -->
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_CIDADE'); ?>
        <?php $data = GxHtml::listDataEx(Cidades::model()->findAll(array('order' => 'CID_DESCRICAO')), 'CID_IDCIDADE', 'CidadeEstado'); ?>
        <?php echo $form->dropDownList($model, 'COT_CLI_CIDADE', $data, array('prompt' => 'Selecione')); ?>
        <?php echo $form->error($model, 'COT_CLI_CIDADE'); ?>
    </div><!-- row -->
    <div class="col-xs-12 col-sm-8 col-md-4 col-gd-3 form-group">
        <?php echo $form->labelEx($model, 'COT_CLI_CEP'); ?>
        <?php echo $form->textField($model, 'COT_CLI_CEP', array('maxlength' => 9, 'onKeyPress' => 'return FormataCep(this,event)')); ?>
        <?php echo $form->error($model, 'COT_CLI_CEP'); ?>
    </div><!-- row -->
    <?php
    echo FaHtml::saveButton();
    $this->endWidget();
    ?>
</div><!-- form -->
<script type="text/javascript">
$(function() {
    $("#consultarCNPJ").click(function() {
        $('#erro-consulta').html('');
        var param = {
            cnpj: $("#Contratos_COT_CLI_CNPJCPF").val(),
            captcha: $("#captcha").val(),
            cookie: $("#cookie").val()
        };
        $.ajax({
            url: createUrl('autocomplete/receita'),
            type: 'POST',
            dataType: 'json',
            timeout: 10000,
            data: param
        })
        .done(function(json) {
            if(!json) {
                $('#erro-consulta').html('Erro ao buscar informações no site da receita.');
                return;
            }
            if (json.code === 0 && json.message == undefined) {
                $('#Contratos_COT_CLI_NOME').val(json.razao_social).parent('div.form-group').addClass('atualizado');
                $('#Contratos_COT_CLI_ENDERECO').val(json.logradouro).parent('div.form-group').addClass('atualizado');
                $('#Contratos_COT_CLI_NUMERO').val(json.numero).parent('div.form-group').addClass('atualizado');
                $('#Contratos_COT_CLI_COMPLEMENTO').val(json.complemento).parent('div.form-group').addClass('atualizado');
                $('#Contratos_COT_CLI_BAIRRO').val(json.bairro).parent('div.form-group').addClass('atualizado');
                $('#Contratos_COT_CLI_CEP').val(json.cep).parent('div.form-group').addClass('atualizado');
                var paramCidade = {
                    cidade: json.cidade,
                    uf: json.uf
                };
                $.post(createUrl('autocomplete/cidade'), paramCidade, function(cidade) {
                    if (cidade != "") {
                        $("#Contratos_COT_CLI_CIDADE").val(cidade.id).parent('div.form-group').addClass('atualizado');
                    }
                }, "json");
                $('#captchaModal').modal('hide');
            } else {
                if(json.message != undefined) {
                    $('#erro-consulta').html(json.message);
                } else {
                    $('#erro-consulta').html('Erro ao buscar informações no site da receita.');
                }
            }
        })
        .fail(function() {
            $('#erro-consulta').html('Erro ao buscar informações no site da receita.');
        });
    });
});
</script>
<?php
$cs = Yii::app()->getClientScript();

$script = <<<JAVASCRIPT
    jQuery(document).ready(function($) {
        $(document).on('click', '.consulta-cnpj', function(event) {
            var button = $(this);
            var cnpj = $("#Contratos_COT_CLI_CNPJCPF").val();
            var dias = $(this).data('dias');

            cnpj = cnpj.replace(/(\.|\/|\-)/g, "");
            if (cnpj != "" && cnpj.length > 11) {
                button.addClass('disabled').prop('disabled', true);

                $.ajax({
                    url: createUrl('clientes/consultaCnpj'),
                    type: 'GET',
                    dataType: 'json',
                    data: {
                        cnpj: cnpj,
                        dias: dias
                    },
                })
                .done(function(json) {
                    if (json.status == "OK") {
                        if (json.atualizacao_antiga) {
                            $("#msgConsulta").show(0, function() {
                                $(this).parent().addClass('avisoConsultaCnpj');
                                $("#retornoConsulta").html("Dados armazenados há mais de 7 dias. <br>");
                                $("#retornoConsulta").append('Clique no botão abaixo se deseja consultar a situação atual.');
                                $(this).find('button').show();
                            });
                        } else {
                            $("#msgConsulta").hide();
                            $("#msgConsulta").parent().removeClass('avisoConsultaCnpj');
                        }

                        $('#Contratos_COT_CLI_NOME').val(json.nome).parent('div.form-group').addClass('atualizado');
                        $('#Contratos_COT_CLI_ENDERECO').val(json.logradouro).parent('div.form-group').addClass('atualizado');
                        $('#Contratos_COT_CLI_NUMERO').val(json.numero).parent('div.form-group').addClass('atualizado');
                        $('#Contratos_COT_CLI_COMPLEMENTO').val(json.complemento).parent('div.form-group').addClass('atualizado');
                        $('#Contratos_COT_CLI_BAIRRO').val(json.bairro).parent('div.form-group').addClass('atualizado');
                        $('#Contratos_COT_CLI_CEP').val(json.cep).parent('div.form-group').addClass('atualizado');

                        var paramCidade = {
                            cidade: json.municipio,
                            uf: json.uf
                        };
                        $.post(createUrl('autocomplete/cidade'), paramCidade, function(cidade) {
                            if (cidade != "") {
                                $("#Contratos_COT_CLI_CIDADE").val(cidade.id).parent('div.form-group').addClass('atualizado');
                            }
                        }, "json");
                    } else {
                        $("#msgConsulta").show(0, function() {
                            $("#retornoConsulta").html(json.message);
                            $(this).parent().removeClass('avisoConsultaCnpj');
                        });
                        button.removeClass('disabled').prop('disabled', false);
                    }
                })
                .fail(function() {
                    $("#loading").hide();
                    $("#retornoConsulta").html("Ocorreu um erro na consulta! <br>");
                    $("#retornoConsulta").append("Tente novamente ou faça a consulta na receita no botão abaixo.");
                });
            } else {
                if (cnpj == "") {
                    alert("Informe um CNPJ!");
                } else {
                    alert("A consulta somente está disponível para CNPJs!");
                }
            }
            return false;
        });
    });
JAVASCRIPT;
$cs->registerScript(Util::uid(), $script);

$css = <<<CSS
    .form-group {
        clear: both;
        display: block;
        float: left;
    }
    .color-red a {
        text-decoration: underline;
    }
    .color-red * {
        color: #ff0000;
        font-size: 13px;
    }
    .color-red a:hover {
        color: #6b3030;
    }
    #msgConsulta {
        float: left;
        padding: 8px 0;
    }
    .avisoConsultaCnpj {
        padding: 0 4px !important;
        border: 4px solid #d9534f;
        border-radius: 6px;
    }
CSS;
$cs->registerCss('cliente', $css);